/**
 * First we will load all of this project's JavaScript dependencies which
 * includes Vue and other libraries. It is a great starting point when
 * building robust, powerful web applications using Vue and Laravel.
 */

require('./bootstrap');

window.Clipboard = require('clipboard');
require('./notify.min.js');

window.Vue = require('vue');

/**
 * The following block of code may be used to automatically register your
 * Vue components. It will recursively scan this directory for the Vue
 * components and automatically register them with their "basename".
 *
 * Eg. ./components/ExampleComponent.vue -> <example-component></example-component>
 */

// const files = require.context('./', true, /\.vue$/i)
// files.keys().map(key => Vue.component(key.split('/').pop().split('.')[0], files(key).default))

Vue.component('example-component', require('./components/ExampleComponent.vue').default);
Vue.component('woinfo', require('./components/woinfo.vue').default);
Vue.component('assetinfo', require('./components/assetinfo.vue').default);
Vue.component('credential', require('./components/credential.vue').default);
Vue.component('notes', require('./components/notes.vue').default);
Vue.component('modal', require('./components/modal.vue').default);
Vue.component('woinfo-edit-modal', require('./components/woinfo-edit-modal.vue').default);
Vue.component('errorlist', require('./components/errorlist.vue').default);
Vue.component('credential-form-modal', require('./components/credential-form-modal.vue').default);
Vue.component('autocomplete-custom-dropdown', require('./components/autocomplete-custom-dropdown.vue').default);
Vue.component('credential-list', require('./components/credential-list.vue').default);

/**
 * Next, we will create a fresh Vue application instance and attach it to
 * the page. Then, you may begin adding components to this application
 * or customize the JavaScript scaffolding to fit your unique needs.
 */

const app = new Vue({
    el: '#app',
});

$(function () {
    $('[data-toggle="tooltip"]').tooltip()
});

var clipboard = new Clipboard('.btn-clip');

clipboard.on('success', function(e) {
    $('#' + e.trigger.getAttribute('id')).notify('Copied to Clipboard',  {position:"right", className:'success'});

    e.clearSelection();
});
